Vsan File Service System Vsan Cluster Create Share Snapshot

Vsan File Service System Vsan Cluster Create Share Snapshot
Create a snapshot for a file share in this vSAN cluster.

Create a snapshot for a file share in this vSAN cluster.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanClusterCreateShareSnapshot
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanFileServiceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "config": {}
}
{
    "config": {
        "_typeName": "string",
        "shareUuid": "string",
        "name": "string"
    },
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
config
Required

The snapshot configuration.

cluster
Optional

The target cluster. Ignored when called on ESXi hosts.

Required privileges: Host.Config.Storage

Authentication
This operation uses the following authentication methods.
Responses
200

A task tracking the snapshot creation progress.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

InvalidState: Exception for invalid states, for example, if vSAN file service is not enabled in this cluster.

InvalidArgument: Exception for invalid input arguments, for example, if the file share to create a snapshot does not exist in this cluster.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"config":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanClusterCreateShareSnapshot